跳轉到主要內容
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
search
回傳依前綴篩選的目錄記錄
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \
  --header 'Authorization: Bearer <token>'
{
  "catalogInfo": {
    "id": "<string>",
    "name": "<string>",
    "columns": [
      {
        "name": "<string>",
        "type": "Text",
        "notEmpty": true,
        "title": "<string>",
        "parameterType": "Text",
        "order": 123,
        "isPredefined": true
      }
    ],
    "catalogType": "Custom",
    "description": "<string>",
    "importFileName": "<string>",
    "locale": "International",
    "recordsCount": 123,
    "usedInSkills": [
      {
        "skillId": "<string>",
        "version": 123
      }
    ],
    "lastRecordsUpdateTime": "<string>"
  },
  "records": [
    {
      "externalId": "<string>",
      "columnValues": {}
    }
  ]
}

授權

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

路徑參數

catalogId
string
必填

型錄識別碼

查詢參數

prefix
string

前綴值。最小長度為 2 個字元。

Minimum string length: 2
Limit
integer<int32>

在回應中要回傳的最大筆數。

Offset
integer<int32>

分頁的偏移量。用來指定在開始取得結果集之前要略過的記錄筆數。

回應

成功

表示目錄搜尋作業的結果。

catalogInfo
object

型別為「Catalog」之資料集設定檔的其他資訊

records
object[] | null

符合搜尋條件的目錄記錄清單。